# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name			dfm
%define version		0.5
%define release		%mkrel 3


Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Easy to use and powerful file manager built in Qt
URL:			http://qt-apps.org/content/show.php/Dino+?content=148440
Group:			File tools
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRequires: 	%{_lib}qt4-devel
Requires:		%{_lib}qtcore4
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Dino is an easy to use and powerful file manager built in Qt.

It’s features include symlinking files by mouse click, the usual features such as making directories, run commands, copying & pasting..etc; drag and drop and even a built in text editor.

Features
Easy to use
Tabs support
Multi selection
Customizable interface
Drag & drop support
Thumbnail view
Built-in text editor
Custom actions
List and tree view

%prep
%setup -q

%build
qmake Dino.pro
make

%install
rm -rf ${RPM_BUILD_ROOT}

install -Dm 755 Dino $RPM_BUILD_ROOT%{_bindir}/dino

mkdir -p $RPM_BUILD_ROOT%{_datadir}/Dino/bin/translations/
install -m 755 -p translations/Dino_*.ts $RPM_BUILD_ROOT%{_datadir}/Dino/bin/translations/

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
#install -m 755 -p dino.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

#desktop-file-install --vendor="" \
#  --encoding="UTF-8" \
#  --remove-category="FileManager" \
#  --add-category="X-MandrivaLinux-System-FileTools" \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/dino.desktop

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/dino.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Dino
GenericName=Dino
Exec=dino %u
Comment=A lightweight file manager based on Qt
Icon=dino
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-directory;inode/directory
Categories=Qt;Utility;FileManager
EOF

install -m 755 -p dino.png $RPM_BUILD_ROOT%{_datadir}/Dino/


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/Dino
%_bindir/dino
%{_datadir}/applications/dino.desktop

%changelog
* Sat May 18 2013 Texstar <texstar at gmail.com> 0.5-3pclos2013
- fix rpmgroup

* Wed Jun 20 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5-2pclos2012
- process

* Tue Jun 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5-2_archie_2012
- added menu entry

* Sun Jun 03 2012 Neal <nealbrks0 at gmail dot com> 0.5-1pclos2012
- process

* Sun Jun 03 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5-1_archie_2012
- Create package
